program new_test 
implicit none 
real(kind=8)::ss
real(kind=8):: coulomb_factor,yy,beta,protGM2,protGE2,mmu1
 real(kind=8)::mp,mn,pi,alpha,tau_pp,gev2pbarn,aaaa,bbbb
      real(kind=8),dimension(0:3)::mrho_pp,momega_pp,gamrho_pp,gamomega_pp,mamom_p,mamom_n
      complex(kind=8):: protF1,protF2,F1ss,F2ss,F1vv,F2vv,par1,par2,par3,par4,par5,par6
      complex(kind=8)::par7,par8,par9,par10,par11,par12,BW_om 
integer::i,lp
external BW_om 
open(9,file='inpp.dat')
read(9,*)ss

call Proton_FF(ss)

end
 subroutine Proton_FF(ss)
      implicit none
      real(kind=8):: ss,beta,protGM2,protGE2,mmu1,ath,bth
      real(kind=8)::mp,mn,pi,alpha,tau_pp,gev2pbarn,aaaa,bbbb,mamom_p,mamom_n
      real(kind=8),dimension(0:3)::mrho_pp,momega_pp,gamrho_pp,gamomega_pp
      complex(kind=8):: protF1,protF2,F1ss,F2ss,F1vv,F2vv,BW_om,par1,par2,par3,par4,par5,par6
      complex(kind=8)::par7,par8,par9,par10,par11,par12
      external BW_om
      pi = 4.d0*dAtan(1.d0)
      mp = 0.938271998D0
      mn = 0.93956533D0
      alpha = 1.d0/137.03599911d0
      gev2pbarn = .389379292d6
     
      mrho_pp(0)     = 0.77549d0
      gamrho_pp(0)   = 0.1491d0
      momega_pp(0)   = 0.78265d0
      gamomega_pp(0) = 0.00849d0
      mrho_pp(1)     = 1.465d0
      gamrho_pp(1)   = 0.4d0
      momega_pp(1)   = 1.425d0
      gamomega_pp(1) = 0.215d0
      mrho_pp(2)     = 1.72d0
      gamrho_pp(2)   = 0.25d0
      momega_pp(2)   = 1.67d0
      gamomega_pp(2) = 0.315d0
      mrho_pp(3)     = 2.12d0           !Phys. Rev. D81 094014 (2010)
      gamrho_pp(3)   = 0.3d0            !Phys. Rev. D81 094014 (2010)
      momega_pp(3)   = 2.0707d0         !Phys. Rev. D81 094014 (2010)
      gamomega_pp(3) = 0.5*momega_pp(3) !Phys. Rev. D81 094014 (2010)

      mamom_p = 2.792847356D0
      mamom_n = -1.9130427D0
      aaaa =  mamom_p - mamom_n -1.d0
      bbbb = -mamom_p - mamom_n +1.d0 
!****************************************************************************************
!dane 
 par1  = (-0.12631797530427491     , -1.4843664898372850     )
 par2  = (-0.22332499734008593     , 0.50130368777925582     )
 par3  = ( 6.22217909274950381E-002, 0.37690806887202166     )
 par4  = (  1.4502981859762230     ,-0.41455045625322384     )
 par5  = ( -1.2962602815823487     , 0.65876457759446794     )
 par6  = ( 2.68791057174262681E-002,-0.23566450991976640     )
 par7  = (-0.83158166495785224     , -1.8222345444036989     )
 par8  = ( 0.14151291995634482     ,  1.7216386912021320     )
 par9  = (-0.15892167391448200     , 0.25682249917576350     )
 par10 = (-0.81662751151277746     , 0.18008568927744761     )
 par11 = ( 0.39918067202581892     ,-9.66076873228558231E-002)
 par12 = ( 6.59809080737624488E-003, 2.24057107274727163E-002)


  
!************************************************************************************
      F1ss =  (BW_om(momega_pp(0),gamomega_pp(0),ss) &
         +par1*BW_om(momega_pp(1),gamomega_pp(1),ss) &
         +par2*BW_om(momega_pp(2),gamomega_pp(2),ss) &
         +par3*BW_om(momega_pp(3),gamomega_pp(3),ss)) &
         /(1.d0+par1+par2+par3)
	      F1vv =  (BW_om(mrho_pp(0),gamrho_pp(0),ss) &
         +par4*BW_om(mrho_pp(1),gamrho_pp(1),ss) &
         +par5*BW_om(mrho_pp(2),gamrho_pp(2),ss) &
         +par6*BW_om(mrho_pp(3),gamrho_pp(3),ss)) &
        /(1.d0+par4+par5+par6)
	
      F2ss =  -bbbb*(BW_om(momega_pp(0),gamomega_pp(0),ss) &
         +par7*BW_om(momega_pp(1),gamomega_pp(1),ss) &
         +par8*BW_om(momega_pp(2),gamomega_pp(2),ss) &
         +par9*BW_om(momega_pp(3),gamomega_pp(3),ss)) &
         /(1.d0+par7+par8+par9)

      F2vv =  aaaa*(BW_om(mrho_pp(0),gamrho_pp(0),ss) &
         +par10*BW_om(mrho_pp(1),gamrho_pp(1),ss) &
         +par11*BW_om(mrho_pp(2),gamrho_pp(2),ss) &
         +par12*BW_om(mrho_pp(3),gamrho_pp(3),ss)) &
        /(1.d0+par10+par11+par12)



      F1ss = 0.5D0 * F1ss
      F1vv = 0.5D0 * F1vv
      F2ss = 0.5D0 * F2ss
      F2vv = 0.5D0 * F2vv 
      protF1 = F1ss+F1vv
      protF2 = F2ss+F2vv

c dla neutronu
c      protF1 = F1ss-F1vv
c      protF2 = F2ss-F2vv

!***************************************************************************************
     
      mmu1 = mp
c    mmu1 = mn  

      tau_pp = ss/4.D0/mmu1**2
      beta   = sqrt(abs(1.d0-1.d0/tau_pp))
      protGM2=cdabs(protF1+protF2)**2
      protGE2=cdabs(protF1+tau_pp*protF2)**2
	
      print*,ss,protGM2,protGE2		

      return
      end subroutine
!*****************************************************************************
      complex(kind=8) function BW_om(m,breite,x)
      implicit none       
      real(kind=8):: m,breite,x
      complex(kind=8)::i
      i=(0.d0,1.d0)

      if(x.gt.0.d0)then
         BW_om=dcmplx(m*m*(m*m-x)/((m*m-x)**2+(m*breite)**2),m*m*m*breite/((m*m-x)**2+(m*breite)**2))
      else
         BW_om=dcmplx(m*m/(m*m-x),0.d0)
      endif
      return
      end
