      subroutine ctq6f_interface(iset)
c=============================================================================c
c Transfers quark masses, except for mt, and some other parameters from CTEQ6F
c
c                            Karol Kolodziej
c                         University of Silesia
c                            Katowice, Poland
c                      e-mail: karol.kolodziej@us.edu.pl
c 18 March, 2011. Modified 12 July, 2013
c=============================================================================c

      use inprms

      implicit none

      integer :: iset
      real(dp) :: Qini, Qmax, Xmin, Amass

      Common
     > / XQrange / Qini, Qmax, Xmin
     > / Masstbl / Amass(6)

      mu=Amass(1)
      md=Amass(2)
      ms=Amass(3)
      mc=Amass(4)
      mb=Amass(5)

      x0pdf=Xmin

      if (iset == 1) then
       alphas=0.118d0
      else if (iset == 2) then
       alphas=0.118d0
      else if (iset == 3) then
       alphas=0.118d0
      else if (iset == 4) then
       alphas=0.130d0
      else
       write(*,*)'ctq6f_interface: iset=',iset,' is not supported'
       stop
      end if

      end
